aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-04-06 04:53:22 +0000
committerBill Nottingham <notting@redhat.com>1999-04-06 04:53:22 +0000
commit564986cfcda12cc798edde8f244af00813204a93 (patch)
tree4c7155c30fe2fa0928af975c83fb8bfd2fb7c554
parent9a9d2dd38d7963d81168205990cb7e8d09075ade (diff)
downloadinitscripts-564986cfcda12cc798edde8f244af00813204a93.tar
initscripts-564986cfcda12cc798edde8f244af00813204a93.tar.gz
initscripts-564986cfcda12cc798edde8f244af00813204a93.tar.bz2
initscripts-564986cfcda12cc798edde8f244af00813204a93.tar.xz
initscripts-564986cfcda12cc798edde8f244af00813204a93.zip
load keymaps & fonts early. add ncp&smbs to the 'don't mount yet' list
-rwxr-xr-xrc.d/rc.sysinit29
1 files changed, 23 insertions, 6 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index ba800a56..e5a17718 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -28,6 +28,28 @@ fi
# Fix console loglevel
/sbin/loglevel $LOGLEVEL
+# Load keymap
+KEYMAP=
+if [ -f /etc/sysconfig/console/default.kmap ]; then
+ KEYMAP=/etc/sysconfig/console/default.kmap
+else
+ . /etc/sysconfig/keyboard
+ if [ -n "$KEYTABLE" -a -d "/usr/lib/kbd/keymaps" ]; then
+ KEYMAP=$KEYTABLE
+ fi
+fi
+if [ -n "$KEYMAP" ]; then
+ # Since this takes in/output from stdin/out, we can't use initlog
+ echo -n "Loading default keymap"
+ loadkeys $KEYMAP < /dev/tty0 > /dev/tty0 && \
+ success "Loading default keymap" || failure "Loading default keymap"
+fi
+
+# Load system font
+if [ -x /sbin/setsysfont ]; then
+ action "Setting default font" /sbin/setsysfont
+fi
+
# Start up swapping.
action "Activating swap partitions" swapon -a
@@ -251,12 +273,7 @@ fi
# Mount all other filesystems (except for NFS and /proc, which is already
# mounted). Contrary to standard usage,
# filesystems are NOT unmounted in single user mode.
-action "Mounting local filesystems" mount -a -t nonfs,proc
-
-# set the console font
-if [ -x /sbin/setsysfont ]; then
- /sbin/setsysfont
-fi
+action "Mounting local filesystems" mount -a -t nonfs,smbfs,ncpfs,proc
if [ -x /sbin/quotaon ]; then
action "Turning on user and group quotas for local filesystems" /sbin/quotaon -a